centos安装git时出错提示make[1]: *** [perl.mak] Error 2

2015年06月22日 17:06 by:老修--走失的镜头盖

centos安装git的时候出现下面的错误提示:

  1. usr/bin/perl Makefile.PL PREFIX='/usr/local/git' '' --localedir='/usr/local/git/share/locale'
  2. Can't locate ExtUtils/MakeMaker.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at Makefile.PL line 3.
  3. BEGIN failed--compilation aborted at Makefile.PL line 3.
  4. make[1]: *** [perl.mak] Error 2
  5. make: *** [perl/perl.mak] Error

解决方法,执行:

  1. yum install perl-ExtUtils-MakeMaker package
  2. service httpd restart

重启apache即可。

标签:centos git